#ifndef __screen_home
#define __screen_home

#include "../screen.h"
#include "../state.h"


/*
 * Home screen
 *   Shows the current presets and an option to go to the menu.
 */
class HomeScreen : public BaseScreen
{
  public:
    HomeScreen(ScreenManager* screenManager) : BaseScreen(screenManager) { }

    void onShow();
    void onButton(Button button);
    void onTick();

  private:
    uint32_t showTime = 0;
    bool idle = false;

    void drawPreset1();
    void drawPreset2();
    void drawPreset(uint8_t number, uint8_t y, uint16_t value);
    void drawMenu();
};

#endif
